package org.dromara.system.service;


import org.dromara.system.domain.vo.AskLeaveCourseVo;
import org.dromara.system.domain.bo.AskLeaveCourseBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 请假课程信息Service接口
 *
 * @author boman
 * @date 2024-11-04
 */
public interface IAskLeaveCourseService {

    /**
     * 查询请假课程信息
     */
    AskLeaveCourseVo queryById(Long id);

    /**
     * 查询请假课程信息列表
     */
    TableDataInfo<AskLeaveCourseVo> queryPageList(AskLeaveCourseBo bo, PageQuery pageQuery);

    /**
     * 查询请假课程信息列表
     */
    List<AskLeaveCourseVo> queryList(AskLeaveCourseBo bo);

    /**
     * 新增请假课程信息
     */
    Boolean insertByBo(AskLeaveCourseBo bo);

    /**
     * 修改请假课程信息
     */
    Boolean updateByBo(AskLeaveCourseBo bo);

    /**
     * 校验并批量删除请假课程信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
